
      SUBROUTINE getdata_moody 

      include 'numbers.h'

      integer n_velobs
      integer n_elevobs

      call getvelobs
      call getelevobs

      n_velobs =  nobservations()
      n_elevobs = nelevobservations()

      write(*,*)'**GETDATA_MOODY**'
      write(*,*)'Active velocity observations ',n_velobs
      write(*,*)'Active elevation observations ',n_elevobs

      if((n_velobs.lt.1).and.n_elevobs.lt.1) then 
	 write(*,*)'FATAL ERROR.  There are no observations to process.'
	 write(*,*)' I will stop now.'
	 STOP 
      endif 
	 

      return
      end 
